Package com.smartgwt.client.widgets.form.validator

# Class IntegerRangeValidator

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.form.validator.Validator
com.smartgwt.client.widgets.form.validator.IntegerRangeValidator

All Implemented Interfaces:
  `HasHandlers`

public class IntegerRangeValidator extends Validator
Tests whether the value for this field is a whole number within the range specified by validator.min and validator.max. By default, the valid range is inclusive of the min and max values. Set validator.exclusive to have values that equal min or max fail validation.

Note that the errorMessage for this validator will be evaluated as a dynamicString - text within ${...} will be evaluated as JS code when the message is displayed, with max and min available as variables mapped to validator.max and validator.min.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntegerRangeValidator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getExclusive()`
  Return the exclusive setting.
  `int`
  `getMax()`
  Return the max.
  `int`
  `getMin()`
  Return the min.
  `void`
  `setExclusive(Boolean exclusive)`
  Set the exclusive flag - when true, causes values that equal the min or max values to fail validation.
  `void`
  `setMax(int max)`
  Set the max.
  `void`
  `setMin(int min)`
  Set the min.

  ### Methods inherited from class com.smartgwt.client.widgets.form.validator.Validator

  `addValidatorDefinition, create, getApplyWhen, getCheckComponentData, getClientOnly, getCondition, getDependentFields, getFailWhen, getOrCreateRef, getPassWhen, getPrecision, getRoundToPrecision, getStopIfFalse, getStopOnError, getType, getTypeAsString, getValidateOnChange, setApplyWhen, setCheckComponentData, setClientOnly, setCondition, setDependentFields, setErrorMessage, setFailWhen, setPassWhen, setPrecision, setRoundToPrecision, setStopIfFalse, setStopOnError, setType, setType, setValidateOnChange`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IntegerRangeValidator

    public IntegerRangeValidator()

- ## Method Details

  - ### setMin

    public void setMin(int min)
    Set the min.
    Parameters:
      `min` - the min

  - ### getMin

    public int getMin()
    Return the min.
    Returns:
      the min

  - ### setMax

    public void setMax(int max)
    Set the max.
    Parameters:
      `max` - the max

  - ### getMax

    public int getMax()
    Return the max.
    Returns:
      the max

  - ### setExclusive

    public void setExclusive(Boolean exclusive)
    Set the exclusive flag - when true, causes values that equal the min or max values to fail validation.
    Parameters:
      `exclusive` - whether the valid range is exclusive of the min and max

  - ### getExclusive

    public Boolean getExclusive()
    Return the exclusive setting.
    Returns:
      the exclusive value